# vispy.geometry.isocurve module

vispy.geometry.isocurve.isocurve(data, level, connected=False, extend_to_edge=False)

  Generate isocurve from 2D data using marching squares algorithm.

  Parameters:
    data ndarray

      2D numpy array of scalar values

    level float

      The level at which to generate an isosurface

    connected bool

      If False, return a single long list of point pairs If True, return multiple long lists of connected point locations. (This is slower but better for drawing continuous lines)

    extend_to_edge bool

      If True, extend the curves to reach the exact edges of the data.

previous

vispy.geometry.generation module

next

vispy.geometry.isosurface module